org.apache.nutch.scoring.similarity.util

## Class LuceneAnalyzerUtil

- java.lang.Object
- - Analyzer
  - - org.apache.nutch.scoring.similarity.util.LuceneAnalyzerUtil

-     public class LuceneAnalyzerUtil
      extends Analyzer

  Creates a custom analyzer based on user provided inputs

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LuceneAnalyzerUtil.StemFilterType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LuceneAnalyzerUtil(LuceneAnalyzerUtil.StemFilterType stemFilterType, boolean useStopFilter)` Creates an analyzer instance based on Lucene default stopword set if @param useStopFilter is set to true
    `LuceneAnalyzerUtil(LuceneAnalyzerUtil.StemFilterType stemFilterType, List<String> stopWords, boolean addToDefault)` Creates an analyzer instance based on user provided stop words.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TokenStreamComponents` | `createComponents(String fieldName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LuceneAnalyzerUtil

          public LuceneAnalyzerUtil(LuceneAnalyzerUtil.StemFilterType stemFilterType,
                                    boolean useStopFilter)

      Creates an analyzer instance based on Lucene default stopword set if @param useStopFilter is set to true

    - #### LuceneAnalyzerUtil

          public LuceneAnalyzerUtil(LuceneAnalyzerUtil.StemFilterType stemFilterType,
                                    List<String> stopWords,
                                    boolean addToDefault)

      Creates an analyzer instance based on user provided stop words. If @param addToDefault is set to true, then user provided stop words will be added to the Lucene default stopset.

  - ### Method Detail

    - #### createComponents

          protected TokenStreamComponents createComponents(String fieldName)

Copyright © 2021 The Apache Software Foundation